#include <iostream>

using namespace std;

class Time
{
  public:
    Time();   // default constructor
    Time( int newHours, int newMinutes ); // explicit constructor
    int getHours();
    int getMinutes();
    void setHours( int newHours );
    void setMinutes( int newMinutes );
    void print();
    void enter();
    void read( istream& in );
    void write( ostream& out );
    void add( Time time );

  private:
    int hours;
    int minutes;
};

Time::Time()
{
  hours = 0;
  minutes = 0;
}

Time::Time( int newHours, int newMinutes )
{
  hours = newHours;
  minutes = newMinutes;
}

void Time::enter()
{
  char ch;
  cin >> hours >> ch >> minutes;
}

int Time::getHours()
{
  return hours;
}

int Time::getMinutes()
{
  return minutes;
}

void Time::print()
{
  cout << hours << ':' << minutes << endl;
}

void Time::read( istream& in )
{
  in >> hours >> minutes;
}

void Time::setHours( int newHours )
{
  hours = newHours;
}

void Time::setMinutes( int newMinutes )
{
  minutes = newMinutes;
}

void Time::write( ostream& out )
{
  out << hours << ' ' << minutes;
}

int main()
{
  Time time( 4, 20 );
  time.print();
  time.setHours( 16 );
  time.setMinutes( 35 );
  cout << time.getHours() << endl;
  cout << time.getMinutes() << endl;
  time.enter();
  time.print();
  return 0;
}
