#include <iostream>

using namespace std;

class Node {
  public:
    Node( int newObject );
    void setObject( int newObject );
    void setNextPtr( Node* newNextPtr );
    int getObject();
    Node* getNextPtr();

  private:
    int object;
    Node* nextPtr;
};

Node::Node( int newObject )
{
  setObject( newObject );
  setNextPtr( 0 );
}

void Node::setObject( int newObject )
{
  object = newObject;
}

void Node::setNextPtr( Node* newNextPtr )
{
  nextPtr = newNextPtr;
}

int Node::getObject()
{
  return object;
}

Node* Node::getNextPtr()
{
  return nextPtr;
}

int main()
{
  Node *nodePtr = 0;
  nodePtr = new Node( 15 );
  Node *tempPtr = new Node( 10 );
  nodePtr->setNextPtr( tempPtr );
  cout << nodePtr->getObject() << endl;
  delete nodePtr;
  return 0;
}
